> ## Documentation Index
> Fetch the complete documentation index at: https://hc.saas-manager.biz.nuro.jp/llms.txt
> Use this file to discover all available pages before exploring further.

# Create, update and delete custom workspace SaaS accounts data



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json post /api/v1/organizations/{organizationId}/workspaces/{workspaceId}/accounts/custom
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/workspaces/{workspaceId}/accounts/custom:
    post:
      tags:
        - Custom Service and Workspace
      summary: Create, update and delete custom workspace SaaS accounts data
      operationId: publicSaveCustomAccounts
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: workspaceId
          required: true
          in: path
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicCreateCustomAccountBulkRequestDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmptyResponseDto'
      security:
        - API-Key: []
components:
  schemas:
    PublicCreateCustomAccountBulkRequestDto:
      type: object
      properties:
        create:
          type: array
          items:
            $ref: '#/components/schemas/PublicCreateCustomAccountRequestDto'
        update:
          type: array
          items:
            $ref: '#/components/schemas/PublicCreateCustomAccountRequestDto'
        delete:
          type: array
          items:
            $ref: '#/components/schemas/PublicCreateCustomAccountRequestDto'
      required:
        - create
        - update
        - delete
    EmptyResponseDto:
      type: object
      properties: {}
    PublicCreateCustomAccountRequestDto:
      type: object
      properties:
        email:
          type: string
          format: email
          example: test@example.com
          description: The email of the account.
        displayName:
          type: string
          description: The display name of the account.
        userName:
          type: string
          description: The user name of the account.
        roles:
          description: The roles of the account. Accepts a list of role names.
          type: array
          items:
            type: string
        licenses:
          description: The licenses of the account. Accepts a list of license names.
          type: array
          items:
            type: string
        twoFa:
          type: boolean
          description: The two factor authentication status of the account.
      required:
        - email
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````